Transfer ownership of a policy group
curl --request POST \
--url https://api.swarmd.ai/relay/v1/policy-groups/{groupId}/transfer-ownership \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"primaryUserId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"secondaryUserId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"reason": "<string>"
}
'import requests
url = "https://api.swarmd.ai/relay/v1/policy-groups/{groupId}/transfer-ownership"
payload = {
"primaryUserId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"secondaryUserId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"reason": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
primaryUserId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
secondaryUserId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
reason: '<string>'
})
};
fetch('https://api.swarmd.ai/relay/v1/policy-groups/{groupId}/transfer-ownership', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"groupId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"version": "<string>",
"name": "<string>",
"description": "<string>",
"regoSource": "<string>",
"regoSourceHash": "<string>",
"bindingCount": 123,
"validFrom": "2023-11-07T05:31:56Z",
"validTo": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z"
}Policy Groups
Transfer ownership of a policy group
Security Requirements
| Auth Types | Entities | Permissions | Required Roles |
|---|---|---|---|
| USER | TENANT | WRITE | TENANT:WRITE |
POST
/
relay
/
v1
/
policy-groups
/
{groupId}
/
transfer-ownership
Transfer ownership of a policy group
Authorizations
JWT token (USER, AGENT, or SERVICE auth)
Path Parameters
⌘I
